VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::networking::dns::Domains Interface Reference

`Domains` interface provides methods DNS search domains. More...

Inherited by vmware::appliance::networking::dns::DomainsStub.

List of all members.

## Public Member Functions
void | Add (string domain)
| Add domain to DNS search domains.
void | Add (string domain, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add domain to DNS search domains.
global::System.Threading.Tasks.Task | AddAsync (string domain)
| Add domain to DNS search domains.
global::System.Threading.Tasks.Task | AddAsync (string domain, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add domain to DNS search domains.
void | Set (global::System.Collections.Generic.List< string > domains)
| Set DNS search domains.
void | Set (global::System.Collections.Generic.List< string > domains, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set DNS search domains.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< string > domains)
| Set DNS search domains.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< string > domains, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set DNS search domains.
global::System.Collections.Generic.List < string > | List ()
| Get list of DNS search domains.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get list of DNS search domains.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Get list of DNS search domains.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get list of DNS search domains.

## Detailed Description

`Domains` interface provides methods DNS search domains.

## Member Function Documentation

void vmware::appliance::networking::dns::Domains::Add | ( | string | domain | ) |

Add domain to DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domain | Domain to add.

Implemented in vmware::appliance::networking::dns::DomainsStub.

void vmware::appliance::networking::dns::Domains::Add | ( | string | domain,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Add domain to DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domain | Domain to add.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::networking::dns::DomainsStub.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::Domains::AddAsync | ( | string | domain,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Add domain to DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domain | Domain to add.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::networking::dns::DomainsStub.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::Domains::AddAsync | ( | string | domain | ) |

Add domain to DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domain | Domain to add.

Implemented in vmware::appliance::networking::dns::DomainsStub.

global::System.Collections.Generic.List<string> vmware::appliance::networking::dns::Domains::List | ( |  | ) |

Get list of DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of domains.

Implemented in vmware::appliance::networking::dns::DomainsStub.

global::System.Collections.Generic.List<string> vmware::appliance::networking::dns::Domains::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get list of DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of domains.

Implemented in vmware::appliance::networking::dns::DomainsStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::appliance::networking::dns::Domains::ListAsync | ( |  | ) |

Get list of DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of domains.

Implemented in vmware::appliance::networking::dns::DomainsStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::appliance::networking::dns::Domains::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get list of DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of domains.

Implemented in vmware::appliance::networking::dns::DomainsStub.

void vmware::appliance::networking::dns::Domains::Set | ( | global::System.Collections.Generic.List< string > | domains,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domains | List of domains.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::networking::dns::DomainsStub.

void vmware::appliance::networking::dns::Domains::Set | ( | global::System.Collections.Generic.List< string > | domains | ) |

Set DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domains | List of domains.

Implemented in vmware::appliance::networking::dns::DomainsStub.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::Domains::SetAsync | ( | global::System.Collections.Generic.List< string > | domains,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domains | List of domains.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::networking::dns::DomainsStub.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::Domains::SetAsync | ( | global::System.Collections.Generic.List< string > | domains | ) |

Set DNS search domains.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  domains | List of domains.

Implemented in vmware::appliance::networking::dns::DomainsStub.

The documentation for this interface was generated from the following file:

- Domains.cs